petsc-3.7.1 2016-05-15
Report Typos and Errors

# TAOLMVM

Limited Memory Variable Metric method is a quasi-Newton optimization solver for unconstrained minimization. It solves the Newton step Hkdk = - gk using an approximation Bk in place of Hk, where Bk is composed using Many brthe BFGS update formula. A More-Thuente line search is then used Many brto computed the steplength in the dk direction Many br

### Options Database Keys

| -tao_lmm_vectors | - number of vectors to use for approximation Many br
| -tao_lmm_scale_type | - "none","scalar","broyden" Many br
| -tao_lmm_limit_type | - "none","average","relative","absolute" Many br
| -tao_lmm_rescale_type | - "none","scalar","gl" Many br
| -tao_lmm_limit_mu | - mu limiting factor Many br
| -tao_lmm_limit_nu | - nu limiting factor Many br
| -tao_lmm_delta_min | - minimum delta value Many br
| -tao_lmm_delta_max | - maximum delta value Many br
| -tao_lmm_broyden_phi | - phi factor for Broyden scaling Many br
| -tao_lmm_scalar_alpha | - alpha factor for scalar scaling Many br
| -tao_lmm_rescale_alpha | - alpha factor for rescaling diagonal Many br
| -tao_lmm_rescale_beta | - beta factor for rescaling diagonal Many br
| -tao_lmm_scalar_history | - amount of history for scalar scaling Many br
| -tao_lmm_rescale_history | - amount of history for rescaling diagonal Many br
| -tao_lmm_eps | - rejection tolerance Many br

Many br

Level:beginner
Location:src/tao/unconstrained/impls/lmvm/lmvm.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html